Download an credit note

get
https://api.wafeq.com/v1/zatca/simplified-credit-notes/{id}/download/

Downloads a single credit note.

Simplified documents created with issue or bulk-issue can be downloaded before reporting completes. The XML and the XML embedded in the PDF are the original signed document, and the PDF uses its QR code. PDFs are generated on demand when necessary. Other documents must be reported or cleared before downloading.

Path Params
stringrequired

The unique identifier of the document.

Query Params
booleanDefaults to false

If true, the document will be regenerated before download

stringenumlength ≥ 1Defaults to pdf

The type of the download format

  • pdf - Portable Document Format (PDF) format
  • xml - Extensible Markup Language (XML) format
Allowed:
Headers
string

If the account is under a Group VAT, then it is required to be the TIN of the instance under the Group VAT. Otherwise it is optional and can be used as a branch name

string

The unique identifier of the connected account you're operating on behalf of.

Connected accounts should be used only for Platforms and White Label integrations that onboard customers and report documents on their behalf. Omit the X-ZATCA-Connected-Account-Id header when registering devices or reporting documents for your own organization. See the Platforms and White Label guide.

stringrequired

The zatca environment to use, available options are ['production', 'simulation']

Response